import { ElementRef, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { TypedSimpleChanges } from '@pv-frontend/pv-shared-services/common';
import { TelemetryImplService } from '@pv-frontend/pv-shared-services/telemetry-service';
import * as i0 from "@angular/core";
export declare class ClickTrackDirective implements OnInit, OnChanges, OnDestroy {
    private readonly host;
    private telemetryService;
    private activeSubscriptions;
    private trackedEventLabel;
    constructor(host: ElementRef, telemetryService: TelemetryImplService);
    /**
     * Indicates whether the click should be tracked or not for a given element
     *
     * The default value is `false`
     */
    shouldTrackClick?: boolean;
    /**
     * The label to be sent for analytics event when the element is clicked.
     *
     * In case the click tracking for element is enabled without passing custom label, the text content of the element is sent as label to analytics event
     */
    label?: string;
    ngOnInit(): void;
    ngOnChanges(changes: TypedSimpleChanges<this>): void;
    ngOnDestroy(): void;
    private setupListeners;
    private clearListeners;
    private getElementLabel;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClickTrackDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ClickTrackDirective, "[pvClickTrack]", never, { "shouldTrackClick": { "alias": "pvClickTrack"; "required": false; }; "label": { "alias": "pvTrackLabel"; "required": false; }; }, {}, never, never, false, never>;
}
//# sourceMappingURL=tracking.directive.d.ts.map